From adf4dfb5a3cfe5b89387920f409a420778b319b8 Mon Sep 17 00:00:00 2001
From: Hideki Yamane <henrich@debian.org>
Date: Thu, 26 Feb 2015 21:51:45 +0900
Subject: [PATCH] add bash_completion for uupdate

---
 scripts/uupdate.bash_completion | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 scripts/uupdate.bash_completion

diff --git a/scripts/uupdate.bash_completion b/scripts/uupdate.bash_completion
new file mode 100644
index 0000000..e956a08
--- /dev/null
+++ b/scripts/uupdate.bash_completion
@@ -0,0 +1,32 @@
+have uupdate &&
+_uupdate()
+{
+    local cur prev options
+
+    COMPREPLY=()
+    cur=${COMP_WORDS[COMP_CWORD]}
+    prev=${COMP_WORDS[COMP_CWORD-1]}
+    options='--upstream-version -v --rootcmd -r --pristine -u --no-pristine\
+             --symlink -s --no-symlink --no-conf --noconf --help -h --version'
+
+    case $prev in
+	--pristine | -u)
+            COMPREPLY=( $(
+	        compgen -G "${cur}*[!debian].tar.gz"
+	        compgen -G "${cur}*[!debian].tar.bz2"
+	        compgen -G "${cur}*[!debian].tar.xz"
+	        compgen -G "${cur}*.tgz"
+	        compgen -G "${cur}*.zip"
+	        compgen -G "${cur}*.lzma" ) )
+	    ;;
+        --help | -h | --version)
+           ;;
+	*)
+	    COMPREPLY=( $( compgen -W "$options" | grep "^$cur" ) )
+	    ;;
+    esac
+
+    return 0
+
+}
+[ "$have" ] && complete -F _uupdate -o filenames uupdate
-- 
2.1.4

